Skip to content

workspaces_members_update

PUT
/api/workspaces/{workspace_pk}/members/{id}
curl --request PUT \
--url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "role": "owner" }'

Update a workspace member item.

id
required
string format: uuid

A UUID string identifying this workspace member.

workspace_pk
required
string format: uuid

Serializer for updating WorkspaceMember data.

object
id
required
string format: uuid
user
required
string format: uuid
workspace
required
string format: uuid
role
  • owner - owner
  • member - member
string
Allowed values: owner member
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : WorkspaceMember The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : WorkspaceMember The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
Media typeapplication/json

Serializer for WorkspaceMember model.

object
id
required
string format: uuid
user
required
string format: uuid
role
required
  • owner - owner
  • member - member
string
Allowed values: owner member
workspace
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : WorkspaceMember The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : WorkspaceMember The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example

{
"role": "owner"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "body_validation_error",
"message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "role",
"code": "invalid_choice",
"message": "\"<parameter_value>\" is not a valid choice."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "workspace_member",
"code": "not_allowed",
"message": "You cannot promote yourself."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}